$fn=64;
//$fn=32;

length = 20;
width = 50;
height = 2;
height_plate = 1;

module name_file() {
    difference() {
        square([width, length]);
        resize([width, length, 0]) import("static/namensschild.dxf");
    }
}

difference() {
    union() {
        hull() {
            for(x=[0, width]) {
                for(y=[0, length]) {
                    translate([x, y, 0]) linear_extrude(height_plate) circle(r=1);
                }
            }
        }

        linear_extrude(height) {
            name_file();
        }
    }

    translate([width-1, length-1, 0]) linear_extrude(height_plate) circle(r=1);
}
