const puppeteer = require('puppeteer');
const process = require('process')

const name = process.argv[2];

(async () => {
  const browser = await puppeteer.launch({
    args: [
      '--no-sandbox',
      '--disable-setuid-sandbox'
    ]
  })

  const page = await browser.newPage()
  await page.goto('file://' + process.cwd() + '/namensschild.html', {waitUntil: 'networkidle2'})
  await page.$eval('#name', (el, name) => { el.innerText = name; setSize() }, name)
  await page.pdf({
    path: `static/namensschild.pdf`,
    width: '192px',
    height: '72px'
  })

  await browser.close()
})()
